# Returns polynomial expansion of  basis function number 'ind' in 'layer'

function [ poly ] = bfunpoly( layer, ind, iderivative )

  [ i itype ] = layerbf(ind);

#i
#itype
#layer

  if ( i == layer )
	[ poly other ] = bfun( i, itype, iderivative );
  elseif ( i+1 == layer ) 
	[ other poly ] = bfun( i, itype, iderivative );
  else
	poly = [0 0 0 0];
  endif;

endfunction