clear;
load 'rayleigh_result.mat' model z vp vs nfreq freq kreal vphase vgroup freqgrid ObjFun ;
load 'landfill.mat' phvel_data;

nk = length(kreal);
nf = length(freqgrid);

## output objective function as a grid:

fout = fopen('DAT/objfun.xyz',"w");

for i=1:nk
	for j=1:nf
		fprintf(fout,'%f %f %f\n',freqgrid(j)/2/pi,freqgrid(j)/kreal(i),ObjFun(j,i));
	endfor
endfor

fclose(fout);

#system('cd GMT; csh objfun.gmt');