# Output for GMT plotting of a shear modulus

function [ n ] = gmtmyuout( model, name )

  myu = 1000*model(:,2).*model(:,4).^2;

  fout = fopen(name,'w');

  for i=1:size(model)(1)
	if ( i == 1 )
		fprintf(fout,'%f %f\n',myu(i),0);
	else
		fprintf(fout,'%f %f\n',myu(i),1000*model(i-1,1));
	endif

	fprintf(fout,'%f %f\n',myu(i),1000*model(i,1));
  endfor

  fclose(fout);

end

