# Returns layer and basis function number for global basis function #i

function [ layer itype ] = layerbf( i )

  if ( i == 0 )			# used only for Rayleigh wave
	itype = 0;
	layer = 0;
  elseif ( i < 2 )		# first level
	itype = 1;
	layer = 0;
  else
	layer = fix(0.5*i+0.1);
	itype = round(i-layer*2);
  endif

endfunction